Bug 737541 - upgrade missing hostname, matahari should pre-req sigar v1.6.5-0.3?
Summary: upgrade missing hostname, matahari should pre-req sigar v1.6.5-0.3?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-12 13:36 UTC by Dave Johnson
Modified: 2011-12-06 11:43 UTC (History)
3 users (show)

Fixed In Version: matahari-0.4.4-7.el6
Doc Type: Bug Fix
Doc Text:
No description required.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:43:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1569 normal SHIPPED_LIVE matahari bug fix and enhancement update 2011-12-06 00:39:06 UTC

Description Dave Johnson 2011-09-12 13:36:14 UTC
Description of problem:
=====================================
I ran an upgrade on RHEL 6.1 running with matahari v0.4.0-5 and noticed that when viewing the properties of the Host agent, the hostname is empty.  If I install sigar v1.6.5-0.2 or v1.6.5-0.3 and then restart the host agent, the hostname is displayed.  

Version-Release number of selected component (if applicable):
==========================================================================
v0.4.2-2

How reproducible:
=====================================
100%, at least in terms of two different servers

Steps to Reproduce:
1.  on a rhel v6.1 server, install matahari v0.4.0
2.  point at a rhel v6.2 repo and upgrade to matahari v0.4.2-2
3.  start the broker and host agent
4.  query the host properties (notice no hostname)
5.  upgrade sigar
6.  restart host agent
7.  query host properties, (see hostname)

Comment 3 Adam Stokes 2011-09-19 14:23:35 UTC
From my tests the problem seems to stem from the previous matahari hostd binary not being stopped during the upgrade. This is a result from the binary name changes and has been addressed upstream

https://github.com/matahari/matahari/commit/31e38618bfa2ba0de82c760961aa024e7385ae46#matahari.init.in

Here are my steps when upgrading from 0.4.0 to 0.4.2 (note this won't be an issue once our latest build with above fix is in the repo's)

1. Install matahari 0.4.0 on rhel6.1
2. point to rhel6.2 and upgrade matahari to v0.4.2
3. notince the broker restarting properly
4. notice the host agent failing to stop but have a successful start
5. kill the old host agent that is lingering around due to #4
6. verify that the new matahari-qmf-hostd agent is running
7. connect to broker with qmf-tool
8. see a list of agents and see that there is just one host agent beging the query for that.
9. set default 2, query Host org.matahariproject, show 1
10. see hostname is displayed

Dave can you confirm this?

Comment 4 Adam Stokes 2011-09-19 19:05:24 UTC
I was able to reproduce this and once upgrading to sigar sigar-1.6.5-0.2.git58097d9.el6.x86_64 and restarting matahari-host I was able to retrieve my hostname again.

Root cause has yet to be determined

Comment 5 Zane Bitter 2011-09-20 14:56:08 UTC
The root cause is that ABI compatibility between the 1.6.5-0.1.git833ca18.el6 and 1.6.5-0.2.git58097d9.el6 builds was broken by this patch: https://github.com/hyperic/sigar/commit/7041d070f10e2681025e52972afac5bdbdcc6405#diff-0

Accordingly, we need to Require the same version we built against.

Comment 6 Adam Stokes 2011-09-20 15:19:12 UTC
http://git.io/jWGyxw

Comment 8 Dave Johnson 2011-09-28 13:42:52 UTC
I am still seeing this as an issue...


[root@ce-qe-rhel6-1 rpms]# ls
matahari-0.4.4-6.el6.x86_64.rpm            matahari-consoles-0.4.4-6.el6.x86_64.rpm   matahari-lib-0.4.4-6.el6.x86_64.rpm      matahari-sysconfig-0.4.4-6.el6.x86_64.rpm
matahari-agent-lib-0.4.4-6.el6.x86_64.rpm  matahari-debuginfo-0.4.4-6.el6.x86_64.rpm  matahari-network-0.4.4-6.el6.x86_64.rpm
matahari-broker-0.4.4-6.el6.x86_64.rpm     matahari-host-0.4.4-6.el6.x86_64.rpm       matahari-service-0.4.4-6.el6.x86_64.rpm
[root@ce-qe-rhel6-1 rpms]# yum localinstall *rpm
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
Setting up Local Package Process
Examining matahari-0.4.4-6.el6.x86_64.rpm: matahari-0.4.4-6.el6.x86_64
Marking matahari-0.4.4-6.el6.x86_64.rpm as an update to matahari-0.4.0-5.el6.x86_64
http://beaker-01.app.eng.bos.redhat.com/repos/276267/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404"
Trying other mirror.
Examining matahari-agent-lib-0.4.4-6.el6.x86_64.rpm: matahari-agent-lib-0.4.4-6.el6.x86_64
Marking matahari-agent-lib-0.4.4-6.el6.x86_64.rpm as an update to matahari-agent-lib-0.4.0-5.el6.x86_64
Examining matahari-broker-0.4.4-6.el6.x86_64.rpm: matahari-broker-0.4.4-6.el6.x86_64
Marking matahari-broker-0.4.4-6.el6.x86_64.rpm as an update to matahari-broker-0.4.0-5.el6.x86_64
Examining matahari-consoles-0.4.4-6.el6.x86_64.rpm: matahari-consoles-0.4.4-6.el6.x86_64
Marking matahari-consoles-0.4.4-6.el6.x86_64.rpm to be installed
Examining matahari-debuginfo-0.4.4-6.el6.x86_64.rpm: matahari-debuginfo-0.4.4-6.el6.x86_64
Marking matahari-debuginfo-0.4.4-6.el6.x86_64.rpm to be installed
Examining matahari-host-0.4.4-6.el6.x86_64.rpm: matahari-host-0.4.4-6.el6.x86_64
Marking matahari-host-0.4.4-6.el6.x86_64.rpm as an update to matahari-host-0.4.0-5.el6.x86_64
Examining matahari-lib-0.4.4-6.el6.x86_64.rpm: matahari-lib-0.4.4-6.el6.x86_64
Marking matahari-lib-0.4.4-6.el6.x86_64.rpm as an update to matahari-lib-0.4.0-5.el6.x86_64
Examining matahari-network-0.4.4-6.el6.x86_64.rpm: matahari-network-0.4.4-6.el6.x86_64
Marking matahari-network-0.4.4-6.el6.x86_64.rpm to be installed
Examining matahari-service-0.4.4-6.el6.x86_64.rpm: matahari-service-0.4.4-6.el6.x86_64
Marking matahari-service-0.4.4-6.el6.x86_64.rpm as an update to matahari-service-0.4.0-5.el6.x86_64
Examining matahari-sysconfig-0.4.4-6.el6.x86_64.rpm: matahari-sysconfig-0.4.4-6.el6.x86_64
Marking matahari-sysconfig-0.4.4-6.el6.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package matahari.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari.x86_64 0:0.4.4-6.el6 will be an update
---> Package matahari-agent-lib.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-agent-lib.x86_64 0:0.4.4-6.el6 will be an update
---> Package matahari-broker.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-broker.x86_64 0:0.4.4-6.el6 will be an update
---> Package matahari-consoles.x86_64 0:0.4.4-6.el6 will be installed
---> Package matahari-debuginfo.x86_64 0:0.4.4-6.el6 will be installed
---> Package matahari-host.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-host.x86_64 0:0.4.4-6.el6 will be an update
---> Package matahari-lib.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-lib.x86_64 0:0.4.4-6.el6 will be an update
---> Package matahari-net.x86_64 0:0.4.0-5.el6 will be obsoleted
---> Package matahari-network.x86_64 0:0.4.4-6.el6 will be obsoleting
---> Package matahari-service.x86_64 0:0.4.0-5.el6 will be updated
---> Package matahari-service.x86_64 0:0.4.4-6.el6 will be an update
---> Package matahari-sysconfig.x86_64 0:0.4.4-6.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================================================
 Package                                        Arch                               Version                                  Repository                                                          Size
=====================================================================================================================================================================================================
Installing:
 matahari-consoles                              x86_64                             0.4.4-6.el6                              /matahari-consoles-0.4.4-6.el6.x86_64                               79 k
 matahari-debuginfo                             x86_64                             0.4.4-6.el6                              /matahari-debuginfo-0.4.4-6.el6.x86_64                             5.6 M
 matahari-network                               x86_64                             0.4.4-6.el6                              /matahari-network-0.4.4-6.el6.x86_64                                71 k
     replacing  matahari-net.x86_64 0.4.0-5.el6
     replacing  matahari-net.x86_64 0.4.0-5.el6
 matahari-sysconfig                             x86_64                             0.4.4-6.el6                              /matahari-sysconfig-0.4.4-6.el6.x86_64                              54 k
Updating:
 matahari                                       x86_64                             0.4.4-6.el6                              /matahari-0.4.4-6.el6.x86_64                                        18 k
 matahari-agent-lib                             x86_64                             0.4.4-6.el6                              /matahari-agent-lib-0.4.4-6.el6.x86_64                              81 k
 matahari-broker                                x86_64                             0.4.4-6.el6                              /matahari-broker-0.4.4-6.el6.x86_64                                 32 k
 matahari-host                                  x86_64                             0.4.4-6.el6                              /matahari-host-0.4.4-6.el6.x86_64                                  102 k
 matahari-lib                                   x86_64                             0.4.4-6.el6                              /matahari-lib-0.4.4-6.el6.x86_64                                    98 k
 matahari-service                               x86_64                             0.4.4-6.el6                              /matahari-service-0.4.4-6.el6.x86_64                               125 k

Transaction Summary
=====================================================================================================================================================================================================
Install       4 Package(s)
Upgrade       6 Package(s)

Total size: 6.2 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : matahari-lib-0.4.4-6.el6.x86_64                                                                                                                                                  1/17 
  Updating   : matahari-agent-lib-0.4.4-6.el6.x86_64                                                                                                                                            2/17 
  Installing : matahari-sysconfig-0.4.4-6.el6.x86_64                                                                                                                                            3/17 
  Updating   : matahari-host-0.4.4-6.el6.x86_64                                                                                                                                                 4/17 
Stopping the matahari-host daemon: [  OK  ]
Starting the matahari-host daemon: [  OK  ]
  Installing : matahari-network-0.4.4-6.el6.x86_64                                                                                                                                              5/17 
  Updating   : matahari-broker-0.4.4-6.el6.x86_64                                                                                                                                               6/17 
Stopping Matahari broker daemon: [  OK  ]
Starting Matahari broker daemon: [  OK  ]
  Updating   : matahari-service-0.4.4-6.el6.x86_64                                                                                                                                              7/17 
Stopping the matahari-service daemon: [  OK  ]
Starting the matahari-service daemon: [  OK  ]
  Updating   : matahari-0.4.4-6.el6.x86_64                                                                                                                                                      8/17 
  Installing : matahari-consoles-0.4.4-6.el6.x86_64                                                                                                                                             9/17 
  Installing : matahari-debuginfo-0.4.4-6.el6.x86_64                                                                                                                                           10/17 
  Cleanup    : matahari-broker-0.4.0-5.el6.x86_64                                                                                                                                              11/17 
  Cleanup    : matahari-0.4.0-5.el6.x86_64                                                                                                                                                     12/17 
  Cleanup    : matahari-service-0.4.0-5.el6.x86_64                                                                                                                                             13/17 
  Cleanup    : matahari-host-0.4.0-5.el6.x86_64                                                                                                                                                14/17 
  Erasing    : matahari-net-0.4.0-5.el6.x86_64                                                                                                                                                 15/17 
  Cleanup    : matahari-agent-lib-0.4.0-5.el6.x86_64                                                                                                                                           16/17 
  Cleanup    : matahari-lib-0.4.0-5.el6.x86_64                                                                                                                                                 17/17 
beaker-Server/productid                                                                                                                                                       | 1.7 kB     00:00     
http://lab2.rhts.eng.bos.redhat.com/distros/vol/engineering/devarchive/redhat/rel-eng/RHEL6.1-20110510.1/6/Server/x86_64/os/Server/repodata/productid.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
duration: 142(ms)
Installed products updated.

Installed:
  matahari-consoles.x86_64 0:0.4.4-6.el6          matahari-debuginfo.x86_64 0:0.4.4-6.el6          matahari-network.x86_64 0:0.4.4-6.el6          matahari-sysconfig.x86_64 0:0.4.4-6.el6         

Updated:
  matahari.x86_64 0:0.4.4-6.el6           matahari-agent-lib.x86_64 0:0.4.4-6.el6   matahari-broker.x86_64 0:0.4.4-6.el6   matahari-host.x86_64 0:0.4.4-6.el6   matahari-lib.x86_64 0:0.4.4-6.el6  
  matahari-service.x86_64 0:0.4.4-6.el6  

Replaced:
  matahari-net.x86_64 0:0.4.0-5.el6                                                                                                                                                                  

Complete!
[root@ce-qe-rhel6-1 rpms]# rpm -qa | grep sigar
sigar-1.6.5-0.1.git833ca18.el6.x86_64
[root@ce-qe-rhel6-1 rpms]# qmf-tool localhost:49000
Management Tool for QMF
qmf: list agents
QMF Agents:
       Id  Vendor               Product  Instance                              Epoch
    ==================================================================================
    *  1   apache.org           qpidd    2a534c54-c31e-4dba-99b2-9ca01d6c42bf  3
       2   matahariproject.org  host     fe1cf039-04b8-4d1b-81bd-14ef3cec7cd9  1
       3   matahariproject.org  service  8cfe1c4c-4c07-48d2-be3d-2ff435ea7105  1
qmf: set default 2
Default Agent: matahariproject.org:host:fe1cf039-04b8-4d1b-81bd-14ef3cec7cd9
qmf: query Host org.matahariproject
Data Objects Returned: 1:
    Number  Data Address
    ======================
    1       Host
qmf: show 1
Properties:
    Name                Value
    ===============================================================================================================================================================
    load                {'1': 0.01, '5': 0.050000000000000003, '15': 0.01}
    hostname            
    last_updated        1317216872000000000
    free_swap           2064376
    sequence            47
    free_mem            590016
    os                  Linux (2.6.32-131.0.15.el6.x86_64)
    process_statistics  {'running': 1, 'sleeping': 86, 'zombie': 0, 'idle': 0, 'stopped': 0, 'total': 87}
    cpu_count           1
    cpu_model           QEMU Virtual CPU version 0.11.0
    cpu_cores           1
    wordsize            64
    swap                2064376
    custom_uuid         not-available
    memory              1019852
    update_interval     5
    cpu_flags           fpu de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx lm up unfair_spinlock pni hypervisor
    arch                x86_64
    uuid                87e847d0a98e690bb54c1fd90000000e
qmf:

Comment 9 Adam Stokes 2011-10-03 12:26:32 UTC
Hey Dave,

sigar-1.6.5-0.1.git833ca18.el6.x86_64

You are still running the older sigar and need to be running 1.6.5-0.2 or later. Could you please go back and double check this?

Thanks
Adam

Comment 10 Adam Stokes 2011-10-04 16:08:41 UTC
changes made to rhel spec cvs, waiting on next build for testing.

Comment 11 Dave Johnson 2011-10-18 13:36:37 UTC
This looks good now with upgrade from 0.4.0-5 to v0.4.4-8

Comment 12 Russell Bryant 2011-11-16 22:26:06 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No description required.

Comment 13 errata-xmlrpc 2011-12-06 11:43:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html


Note You need to log in before you can comment on or make changes to this bug.